Subject: Re: bug#39379: 27.0.60; Fix for #38457 broke ido-vertical-mode

From: Eli Zaretskii <[email-masked]>
Date: Tue, 04 Feb 2020 05:27:18 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Tue, 4 Feb 2020 00:51:49 +0300
> 
> On 03.02.2020 18:40, Eli Zaretskii wrote:
> 
> >> I've suggested a workaround for that in the GitHub issue commends as
> >> soon as you opened this bug report (2 days ago).
> > 
> > That's exactly the solution I had in mind.  I suggest that you push it
> > to the Emacs Git repository without waiting for the solution of the
> > larger issue (which will take me some time to design and test).
> 
> Not for us to do, it's a change to be done in ido-vertical-mode, not in 
> ido.el (they override a built-in function).

I think this is for ido.el to do: it is ido.el that puts the cursor on
the overlay string, so it is up to it to make sure the cursor can be
put where it puts the 'cursor' property.  It's a simple change: if the
text to be displayed starts with a newline, prepend a SPC to it when
defining the after-string.